Name:		perl-XML-Rules
Version:	1.16
Release:	6%{?dist}
Summary:	Parse XML and specify what and how to keep/process for individual tags
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/XML-Rules
Source0:	http://search.cpan.org/CPAN/authors/id/J/JE/JENDA/XML-Rules-%{version}.tar.gz
Patch0:		XML-Rules-1.10-add-shebang.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

# build requirements
BuildRequires:	perl(Module::Build)

# module requirements
BuildRequires:	perl(Carp)
BuildRequires:	perl(constant)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(XML::Parser)
BuildRequires:	perl(XML::Parser::Expat)

# test requirements
BuildRequires:	perl(Data::Dump)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::Pod)
BuildRequires:	perl(Test::Pod::Coverage)


Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
The XML::Rules module provides an API layer on top of XML::Parser.  It
allows you to specify rules that are subroutines to be run once a tag
is fully parsed and either process the data from the tag itself and
its children or specify what parts of the data and how to add to the
data structure being built for the parent tag.

%prep
%setup -q -n XML-Rules-%{version}

# fix end of line encoding
find . -type f -exec sed -i 's/\r//' {} \;

# the patch assumes the end of lines have already been fixed
%patch0 -p1

%build
%{__perl} Build.PL --installdirs vendor
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README example LICENSE
%{perl_vendorlib}/XML/
%{_mandir}/man3/XML::Rules.3pm*
%{_bindir}/dtd2XMLRules.pl
%{_bindir}/xml2XMLRules.pl

%changelog
* Thu Aug 28 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.16-6
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.16-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.16-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 24 2013 Petr Pisar <ppisar@redhat.com> - 1.16-3
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Dec 25 2012 Bill Pemberton <wfp5p@virginia.edu> - 1.16-1
- update to version 1.16

* Thu Dec 13 2012 Bill Pemberton <wfp5p@virginia.edu> - 1.15-1
- update to version 1.15

* Mon Oct 22 2012 Bill Pemberton <wfp5p@virginia.edu> - 1.14-1
- update to version 1.14

* Mon Oct 15 2012 Bill Pemberton <wfp5p@virginia.edu> - 1.13-1
- update to version 1.13

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 15 2012 Petr Pisar <ppisar@redhat.com> - 1.10-8
- Perl 5.16 rebuild

* Thu Feb 23 2012 Bill Pemberton <wfp5p@virginia.edu> - 1.10-7
- use a patch to add shebangs to bin scripts

* Wed Feb 22 2012 Bill Pemberton <wfp5p@viridian.itc.Virginia.EDU> - 1.10-6
- Move end of line fix to prep stage

* Wed Feb 22 2012 Bill Pemberton <wfp5p@virginia.edu> - 1.10-5
- add comments to clarify why the various BuildRequires are needed
- add BuildRequires for XML::Parser and XML::Parser::Expat.  The build
  script fails if these are not installed at build time.

* Thu Feb 16 2012 Bill Pemberton <wfp5p@virginia.edu> - 1.10-4
- Add the shebang lines in setup instead of install
- Remove explicit requires for XML::Parser and XML::Parser::Expat

* Thu Feb 16 2012 Bill Pemberton <wfp5p@virginia.edu> - 1.10-3
- move dtd2XMLRules.pl and xml2XMLRules.pl to _bindir
- drop version requirements for XML::Parser and XML::Parser::Expat

* Mon Mar 21 2011 Bill Pemberton <wfp5p@virginia.edu> - 1.10-2
- include sample programs bin/dtd2XMLRules.pl and bin/xml2XMLRules.pl
  in doc
- remove blank line after description
- don't assume man pages end in .gz

* Wed Mar  9 2011 Bill Pemberton <wfp5p@virginia.edu> - 1.10-1
- Initial spec

